
%global srcname jplephem

Name: python-%{srcname}
Version: 2.18
Release: 1%{?dist}
Summary: Use a JPL ephemeris to predict planet positions.

License: MIT
URL: https://github.com/brandon-rhodes/python-jplephem/
Source0: %{pypi_source}

BuildArch:  noarch

%global _description %{expand:
This package can load and use a Jet Propulsion Laboratory (JPL) ephemeris for 
predicting the position and velocity of a planet or other Solar System body. 
It currently supports binary SPK files (extension .bsp) like those distributed 
by the Jet Propulsion Laboratory that are Type 2, Type 3 or Type 9.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files jplephem

%check
%pyproject_check_import

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
* Mon Jul 19 2021 Sergio Pascual <sergiopr@fedoraproject.org> - 2.18-1
- Initial release (2.1.2)

